use chrono::{DateTime, Utc};
use serde::{Deserialize, Serialize};

#[derive(Clone, Serialize, Deserialize, Debug)]
pub struct Note {
    pub uuid: String,
    pub parent_uuid: String,
    pub content: String,
    pub position: i64,
    pub notetype: String,
    pub creation_date: DateTime<Utc>,
    pub updated_date: DateTime<Utc>,
    pub lastview_date: DateTime<Utc>,
    pub deleted_date: Option<DateTime<Utc>>,
    pub children: Vec<Note>,
}

#[derive(Clone, Serialize, Deserialize, Debug)]
pub struct Page {
    pub slug: String,
    pub title: String,
    pub creation_date: DateTime<Utc>,
    pub updated_date: DateTime<Utc>,
    pub lastview_date: DateTime<Utc>,
    pub deleted_date: Option<DateTime<Utc>>,
    pub root_note: Note,
}
